Set Conversation Security Analyzer
curl --request POST \
--url https://api.example.com/api/conversations/{conversation_id}/security_analyzer \
--header 'Content-Type: application/json' \
--header 'X-Session-API-Key: <api-key>' \
--data '
{
"security_analyzer": {
"high_patterns": [
[
"<string>",
"<string>",
"<string>"
]
],
"injection_high_patterns": [
[
"<string>",
"<string>",
"<string>"
]
],
"injection_medium_patterns": [
[
"<string>",
"<string>",
"<string>"
]
],
"kind": "PatternSecurityAnalyzer",
"medium_patterns": [
[
"<string>",
"<string>",
"<string>"
]
]
}
}
'import requests
url = "https://api.example.com/api/conversations/{conversation_id}/security_analyzer"
payload = { "security_analyzer": {
"high_patterns": [["<string>", "<string>", "<string>"]],
"injection_high_patterns": [["<string>", "<string>", "<string>"]],
"injection_medium_patterns": [["<string>", "<string>", "<string>"]],
"kind": "PatternSecurityAnalyzer",
"medium_patterns": [["<string>", "<string>", "<string>"]]
} }
headers = {
"X-Session-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
security_analyzer: {
high_patterns: [['<string>', '<string>', '<string>']],
injection_high_patterns: [['<string>', '<string>', '<string>']],
injection_medium_patterns: [['<string>', '<string>', '<string>']],
kind: 'PatternSecurityAnalyzer',
medium_patterns: [['<string>', '<string>', '<string>']]
}
})
};
fetch('https://api.example.com/api/conversations/{conversation_id}/security_analyzer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Conversations
Set Conversation Security Analyzer
Set the security analyzer for a conversation.
POST
/
api
/
conversations
/
{conversation_id}
/
security_analyzer
Set Conversation Security Analyzer
Authorizations
Path Parameters
Body
application/json
Payload to set security analyzer for a conversation
The security analyzer to set
- PatternSecurityAnalyzer
- PolicyRailSecurityAnalyzer
- EnsembleSecurityAnalyzer
- GraySwanAnalyzer
- LLMSecurityAnalyzer
- ToolShieldLLMSecurityAnalyzer
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?

